*
* $Id: gpgeo.inc,v 1.5 2009-06-12 18:39:53 pam-rm2 Exp $
*
* $Log: gpgeo.inc,v $
* Revision 1.5  2009-06-12 18:39:53  pam-rm2
* - Introduced user-defined names of output files and random seeds number.
* Users can do it use options of PamVMCApplication constructor:
* PamVMCApplication(const char* name,  const char *title, const char*
* filename="pamtest", Int_t seed=0).
* The Random object that I use is TRandom3 object which has astronomical
* large period (in case of default initialization 0). All random generators
* in the code use this object by calling of gRandom singleton which keeps
* it.
*
* - Corrected TOF digitization routine. No problems with TDC hits due to
* hadronic interactions anymore.
*
* - Some small changes was done to compile code under Root 5.23. +
* geant4_vmc v. 2.6 without any warnings
*
* - Some classes of PamG4RunConfiguartion was changed for geant4_vmc v.
* 2.6.Some obsolete classes was deleted as soon as developers implemented
* regions.
*
* - Navigation was changed from "geomRootToGeant4" to "geomRoot", because on
* VMC web page written that as soon as Geant4 has no option ONLY/MANY
* translation of overlapped geometry to Geant4 through VGM could be wrong.
* I'd like to stay with Root navigation:
* http://root.cern.ch/root/vmc/Geant4VMC.html. This should be default
* option.
*
* - New Tracker digitization routine written by Sergio was implemented
*
* - PamVMC again became compatible with geant4_vmc v.2.5 and ROOT 5.20.
*  The problem was that ROOT developers introduced in TVirtualMC class a new
* method SetMagField and new base class:TVirtualMagField from which
* user-defined classes shoukd be derived
*
* Revision 1.1  2009-02-19 17:46:24  nikolas
* Cleaning up before releasing
*
* Revision 3.22  2008/01/29 18:25:16  pamela
* Review of the shell and TOF geometries. New materials around the shell
* added to simulate the insulation.
*
* Revision 3.21  2006/12/17 14:53:13  cafagna
* Full review of the CARD geometry. S1 table added
*
* Revision 3.20  2006/11/30 12:29:14  cafagna
* CARD geometry updated. New S1 "table", legs included, added. Top magnetic screen has been added as well.
*
* Revision 3.19  2006/11/28 10:26:14  pam-ba
* S3 positioning completed
*
* Revision 3.18  2006/11/16 18:45:29  pam-ba
* Simulated an aluminum container for S4
*
* Revision 3.17  2006/11/10 11:39:34  pam-ba
* S2 and S1 z-positions corrected, He3 and plystyrene mixture added, Top Plate geometry simulated and titanium mixture added.
*
* Revision 3.16  2006/10/12 11:11:21  pam-ba
* ND geometry updated.
*
* Revision 3.15  2006/06/30 15:38:16  pam-ba
* S22 and S12 heights positioned in GPAMELA at the nominal heights in PAMELA (see document: Main geometrical parameters of the PAMELA sub-detectors, 20 December 2005)
*
* Revision 3.14  2006/05/18 10:52:32  pam-ba
* TOF geometry completed and a new material, the polystyrene (density 35 g/l), added
*
* Revision 3.13  2006/05/02 15:23:14  cafagna
* Few mispelled command in gpgeo.inc and gpgeo.F
*
* Revision 3.12  2006/05/02 10:58:35  pam-ba
* TOF geometry and position updated and a new material, the mylar, added
*
* Revision 3.11  2006/04/10 11:07:43  cafagna
* GEN data card updated, ZDGEN added
*
* Revision 3.10  2006/04/09 23:28:57  cafagna
* Several new things, among this: ND and CARD
*
* Revision 3.9  2005/12/20 12:21:04  cafagna
* gpnd directory added along with ND files
*
* Revision 3.8  2005/12/16 10:20:14  cafagna
* Bug fixed in the new update
*
* Revision 3.7  2005/12/16 09:13:52  cafagna
* New small valume added to the tracker frame
*
* Revision 3.6  2005/12/13 10:31:29  pam-ba
* added a new volume, TPGI, in the spectrometer
*
* Revision 3.5  2005/12/05 12:15:20  pam-ba
* new spectrometer geometry and internal magnetic field
*
* Revision 3.4  2005/07/25 11:53:21  cafagna
* Several updates. See history for details
*
* Revision 3.3  2005/06/21 02:42:13  cafagna
* Major modification to the geometry and to the random number chain
*
* Revision 3.2  2002/12/05 10:17:42  pamela
* Update CAS and CALO geometries and positions. Makefile updated as well
*
* Revision 3.1.1.1  2002/07/11 16:01:59  cafagna
* First GPAMELA release on CVS
*
*
*
* gpgeo.inc
*
*               16/07/2004  16.44.06  by  Alexey Bakaldin
*               27/08/2002  15.28.12  by  Jens Lund
*CMZ :  3.00/00 14/11/2000  09.13.05  by  Emiliano Mocchiutti
*CMZ :  2.02/00 12/10/2000  17.59.14  by  Francesco Cafagna
*CMZ :  2.01/00 05/04/2000  14.35.17  by  Marialuigia Ambriola
*CMZ :  2.00/00 03/03/2000  15.39.05  by  Francesco Cafagna
*CMZ :  1.02/00 08/11/99  11.10.27  by  Francesco Cafagna
*CMZ :  1.00/02 02/04/96  16.44.16  by  Francesco Cafagna
*-- Author :
C
C Common with the volumes parameters for PAMELA
C
      REAL PAME,SHEL,TFLA,SHEI,TSPH,S1,S2,S1A,S2A,S3,S11M,
     +     S12M,S21M,S22M,S31M,S32M,POL1,POL2,POLY,S11Y,S12X,S21X,
     +     S22Y,S31Y,S32X,TPLA,TPTU,TPTM,TPTL,TPCV,S4,S4AL,CATB,
     +     CATL,CATT,CASX,CASY,COV1,COV2,COV3,
*AB:
     +     MSHE,BSPH,
*END: AB.
*EM:
     +     CSSX,CSSY,CASXD,CASYD,CATH,CATF,CATO,CATP,
*END: EM.
*JeL:
     +     CASA, CATA,
*END: JeL.
     +          CARDB,CAR,CARA,CARB,
     +          ATY,ATZ,PT,
     +          LEGB,LEG1,LEG2,LEG3,LEG4,LEG5,LEG6,
     +          LEG7,LEG8,LEG9,TOHO,TOPT,
     +          TPLT,TOPC,TH11,TH12,TH21,TH22,
     +          MGSC,MGSH,LEGP,TOPP,
     +          CAR1,CAR2,CR1P,CR2P,C1D1,C2D1,
     +          VSN1,VSN2,VPN1,VPN2,VAN1,VAN2,
*ml: 10/11/04:
     +     TRDS,TRDT,TRDB,TRFR,TRBS,TRAL,TRSO,TRSI,TRRA,
     +     TRFU,TRFD,TRFM,TRFL,TRR2,TRR0,TRI0,TRRF,TRRI,
*end ml.
     +     TRAN,TRAI,SPEB,MGFR,MGPL,MGPA,MGPI,TPGA,TPGU,TPGD,TPGI
c ml: 20/04/05:
c     +          TRPB,TRPL,TRSL,TSPA,THBP,TRCP,CALB,CALS,CAPL,CANS,
     +     TRPB,TPAS,TPAI,TRSL,TSPA,THBP,TRCP,TBAL,CALB,CALS,
     +     CAPL,CANS,   
c end ml.
*END F.V.&ML.
     +     CASI,CG10,CAAB,XYZPOR,XYZSOR,ZSHEL,
*AB:
     +     ZMSHE,ZBSPH,
*END: AB.
     +     ZTFLA,ZSHEI,ZTSPH,ZS1,ZS2A,ZS3,HMYLTOF,HGLUTOF,HPVCMAX,
     +     HPVCMIN,HALTOF,HAIRS3,HTABLE,DTABLEAL,XTPLA,YTPLA,ZTRD,
     +     ZCAT,ZCAS,
c ml: 28/10/04:
     +     ZCARDB,ZTPLA,ZSPEBP,ZSPEC,ZORMG,HORMG,XGLUE,DTPS3,
     +     ZCAL,
     +     ZS4,ZND,DCASIX,DCASIY,DCASIZ,
c end ml.
     +          SCTIC,GAPTOP,
     +          GAPTRD,CASIOFF,CALSTWID,XGEN,YGEN,ZGEN,XDGEN,YDGEN,
*EM:
     +          ZDGEN,CAGL,CAKP,CAKA,C10C,CAAD,CAPD,
*END EM.
* MA
     +          DZM0, DZST,
*** Neutron detector definition
     +     NDBO,NDBX, NDBI, NDTU, NDTI, NDPB, NDCD,NDCO,NDBS,NDSS,
     +     NDCI,NDCM,NDCE,NDSI,NDSM,NDSE,TNDBX,TNDCD,GNDTU
C
C Some usefull quantities to calculate volumes dimentions
C
c ml: 27/10/04:
c        INTEGER NTRSL,NCAPL,NCAPLD,NCASTR,NS11X,
c     +          NS12Y,NS21X,NS22Y,NS31Y,NS32X
        INTEGER NTRSL,NTHBP,NCAPL,NCAPLD,NCASTR,NS11Y,
     +          NS12X,NS21X,NS22Y,NS31Y,NS32X
C
*AB:
        COMMON /GPCGEO/PAME( 3),SHEL( 5),TFLA( 3),SHEI( 3),
     +                MSHE( 3),BSPH(6),TSPH( 6),TPLA( 3),
*END: AB.
     +                TPTU( 3),TPTM( 3),TPTL( 3),TPCV( 3),
c ml: 28/10/04:
     +                S1( 3),S2( 3),S1A( 3),S2A( 3),S3( 3),
c end ml.
     +                S4( 3),S4AL( 3),S11M( 3),S12M( 3),S21M( 3),
     +                S22M( 3),S31M( 3),S32M( 3),POL1(3),POL2(3),
     +                POLY(3),S11Y( 3),S12X( 3),S21X( 3),S22Y( 3),
     +                S31Y(3),S32X( 3),
     +                CATB( 3),CATL( 3),CATT( 3),CASX( 3),CASY( 3),
*EM:
     +                CSSX( 3),CSSY( 3),CATH( 3),CATF( 3),
     +                CATO( 3),CATP( 3),COV1(6),COV2(6),COV3(6),
*END: EM.
*JeL:
     +            CASA( 3),CATA( 3),
*END: JeL.
     +            CARDB(3),CAR(8),CARA(7),CARB(7),!positioning parameters
     +            ATY,ATZ,PT,            !aluminium and plastic thickness
     +            CAR1(11),CR1P(11),C1D1(11),C2D1(11),
     +            CAR2(11),CR2P(11),VSN1(11),VPN1(11),
     +            VAN1(11),VSN2(11),VPN2(11),VAN2(11),
     +            LEGB(3),LEG1(11),LEG2(3),LEG3(3),LEG4(3),
     +            LEG5(3),LEG6(3),LEG7(3),LEG8(3),LEG9(3),
     +            LEGP(8),TOPP(9),                !positioning parameters
     +            MGSC(3),MGSH(3),TOHO(3),TOPT(11),
     +            TPLT(3),TOPC(3),TH11(3),TH12(3),TH21(3),TH22(3),

*ml: 10/11/04:
C      +                TRDS( 3),TRDT( 3),TRDB( 3),TRFR( 3),TRFI( 3),
     +                TRDS( 3),TRDT( 3),TRDB( 3),TRFR( 3),  
c     +                TRBS( 3),TRSO( 3),TRSI( 3),TRRA( 3),TRAN( 3),
c     +                TRAI( 3),
     +                TRBS( 3),TRAL( 3),TRSO( 3),TRSI( 3),TRRA( 3),
     +                TRFU( 3),TRFD( 3),TRFM( 3),TRFL( 3),TRR2( 3),
     +                TRR0( 3),TRI0( 3),TRRF( 3),TRRI( 3),TRAN( 3),
     +                TRAI( 3),
*end ml.
     +                SPEB( 3),MGFR( 3),MGPL( 3),MGPA( 3),MGPI( 3),
c ml:20/04/05:
c     +                TRPB( 3),TRPL( 3),TRSL( 3),TSPA( 3),THBP( 3),
     +                TPGA( 3),TPGU( 3),TPGD( 3),TPGI( 3),TRPB( 3),
     +                TPAS( 3),TPAI( 3),TRSL( 3),TSPA( 3),THBP( 3),
     +                TRCP( 3),TBAL( 3),
c end ml.
     +                CALB( 3),CALS( 3),
* F.C.&ML:
C     +                CAPL( 3),CASI( 3),CAAD( 3),CAPD( 3),
     +                CAPL( 3),CASI( 3),CAAD( 3),CAPD( 3),CANS( 3),
* END F.C.&ML.
     +                CG10( 3),CAAB( 3),XYZPOR(3),XYZSOR(3),
*EM:
     +                CAGL( 3),CAKP( 3),CAKA( 3),C10C( 3),
     +                CASXD,CASYD,
*END EM.
*MA
     +                DZM0, DZST,
* end MA
     +                NDBO(3),NDBX(3),NDBI(3),NDTU(3),NDTI(3),
     +                NDPB(3),NDCD(3),NDCO(3),NDBS(3),NDSS(3),
     +                NDCI(3),NDCM(3),
     +                NDCE(3),NDSI(3),NDSM(3),NDSE(3),TNDBX,TNDCD,
     +                GNDTU,SCTIC,ZSHEL,ZTFLA,ZSHEI,ZTSPH,ZS1,ZS2,
     +                ZS3,HMYLTOF,HGLUTOF,HPVCMAX,HPVCMIN,HALTOF,
     +                HAIRS3,HTABLE,DTABLEAL,XTPLA,YTPLA,
*AB:
     +                ZMSHE,ZBSPH,
*END: AB.
c ml: 28/10/04
c     +                ZTRD,ZS21,ZS22,ZCAT,ZCAS,ZSPEC,
     +                ZTRD,ZTPLA,ZCAT,ZCAS,ZCARDB,ZSPEBP,ZSPEC,
     +                ZORMG,HORMG,XGLUE,
c end ml.
     +                DTPS3,ZCAL,ZS4,ZND,DCASIX,
     +                DCASIY,DCASIZ,GAPTOP,GAPTRD,
     +                CASIOFF,CALSTWID,XGEN,YGEN,ZGEN,XDGEN,YDGEN,
     +                ZDGEN,NTRSL,NTHBP,NCAPL,NCAPLD,
c ml: 27/10/04:
c     +                NCASTR,NS11X,NS12Y,NS21X,NS22Y,NS31Y,NS32X
     +                NCASTR,NS11Y,NS12X,NS21X,NS22Y,NS31Y,NS32X
c end ml.
C
